Get a checklist item
GET
/boards/{board}/cards/{card}/checklists/{checklist}/items/{checklistItem}
const url = 'https://projects.work.optidata.cloud/api/boards/1/cards/1/checklists/1/items/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://projects.work.optidata.cloud/api/boards/1/cards/1/checklists/1/items/1 \ --header 'Authorization: Bearer <token>'Returns a single checklist item.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”board
required
integer
Board id.
card
required
integer
Card id (must belong to the board).
checklist
required
integer
Checklist id (must belong to the card).
checklistItem
required
integer
Checklist item id (must belong to the checklist).
Responses
Section titled “Responses”The item.
Media typeapplication/json
object
id
integer
checklist_id
integer
title
string
is_completed
boolean
completed_at
string | null format: date-time
due_date
string | null format: date-time
due_date_status
string | null
human_due_date
string | null
short_locale_date
string | null
assignees
Array<object>
object
id
integer
uuid
string format: uuid
name
string
avatar_url
string | null format: uri
created_at
string format: date-time
Example
{ "due_date_status": "OVERDUE"}Missing, invalid or expired bearer passport.
Media typeapplication/json
object
error
string
Example
{ "error": "JWT passport exception: Missing bearer token in request"}The authenticated user lacks the required board permission.
Media typeapplication/json
object
message
string
Example
{ "message": "This action is unauthorized."}Resource not found, or a nested resource does not belong to its parent in the path.
Media typeapplication/json
object
message
string
Example
{ "message": "Not found."}